package com.djhk.common.api.factory;

import com.djhk.common.api.RemoteSystemService;
import com.djhk.common.core.domain.R;
import com.djhk.common.core.page.TableDataInfo;
import org.springframework.stereotype.Component;

/**
 * 日志服务降级处理
 *
 * @author myk
 */
@Component
public class RemoteSystemFallbackFactory implements RemoteSystemService {

    @Override
    public R<String> checkSmsCode(String phoneNo, String templateCodeIndex, String smsCode) {
        return null;
    }

    @Override
    public R<String> recoverPwd(String phone, String password) {
        return null;
    }

    @Override
    public R<String> authOperator() {
        return null;
    }

    @Override
    public TableDataInfo list(String configKey) {
        return null;
    }
}
